{% extends 'base.html.twig' %}

{% block title %}Liste des jeux{% endblock %}

{% block body %}
{% for message in app.flashes('success') %}
    <div class="flash-message flash-success">
        {{ message }}
    </div>
{% endfor %}

<main class="container mt-0 md:mt-12">
    <h1>Liste des jeux</h1>

    {% if not is_granted('ROLE_SUPER_ADMIN') and participation %}
    <h4>Vous avez saisi {{ participation.numberTables }} tables dans votre participation, veuillez donc renseigner {{ participation.numberTables }} jeux</h3>

    <div class="flex flex-col my-6">
			<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
				<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
                    <input type="text" name="searchTableGames" placeholder="Recherchez parmi les jeux ou les éditeurs">
                    <table id="searchTableGames" class="min-w-full">
                        <thead>
                            <tr>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Nom du jeu</th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Éditeur du jeu</th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Type de jeu</th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Distributeur du jeu</th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Prix TTC (en €)</th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Animé par</th>
                                <th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
                            </tr>
                        </thead>

                        <tbody class="bg-white">
                        {% for i in range(0, participation.numberTables - 1) %}
                            {% if games[i] is defined %}
                            <tr>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ games[i].name }}</td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ games[i].editor }}</td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ games[i].type }}</td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ games[i].distributor }}</td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ games[i].price }}€</td>
                                {% if games[i].animate.animator %}
                                    <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ games[i].animate.animator.surname }} {{ games[i].animate.animator.name }}</td>
                                {% else %}
                                    <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">Un bénévole</td>
                                {% endif %}
                                <td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
                                    <a href="{{ path('game_show', {'id': games[i].id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Voir</a>
                                    <a href="{{ path('game_edit', {'id': games[i].id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
                                </td>
                            </tr>
                            {% else %}
                            <tr>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">Non renseigné</td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200"></td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200"></td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200"></td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200"></td>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200"></td>
                                <td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
                                    <a href="{{ path('game_new') }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Créer</a>
                                </td>
                            </tr>
                            {% endif %}
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
        {% elseif not is_granted('ROLE_SUPER_ADMIN') %}
            <p>Vous ne participez à aucune édition, veuillez vous inscrire</p>
            <a class="btn" href="/participation">Participer à l'édition</a>

        {% elseif is_granted('ROLE_SUPER_ADMIN') %}

            <div class="flex flex-col my-6">
                <div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
                    <div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
                        <input type="text" name="searchTableGames" placeholder="Recherchez parmi les jeux ou les éditeurs">
                        <table id="searchTableGames" class="min-w-full">
                            <thead>
                                <tr>
                                    <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Nom du jeu</th>
                                    <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Editeur du jeu</th>
                                    <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Type de jeu</th>
                                    <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Distributeur du jeu</th>
                                    <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Prix TTC (en €)</th>
                                    <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">Animé par</th>
                                    <th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
                                </tr>
                            </thead>

                            <tbody class="bg-white">
                                {% for game in games %}
                                    <tr>
                                        <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ game.name }}</td>
                                        <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ game.editor }}</td>
                                        <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ game.type }}</td>
                                        <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ game.distributor }}</td>
                                        <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ game.price }}€</td>
                                        {% if game.animate.animator %}
                                            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">{{ game.animate.animator.surname }} {{ game.animate.animator.name }}</td>
                                        {% else %}
                                            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">Un bénévole</td>
                                        {% endif %}
                                        <td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
                                            <a href="{{ path('game_show', {'id': game.id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Voir</a>
                                            <a href="{{ path('game_edit', {'id': game.id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
                                        </td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td class="px-6 py-4" colspan="6">Aucun jeu n'a été enregistré pour le moment !</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        {% endif %}
</main>
{% endblock %}
